// creator  : weidu.exe (version 23100)
// argument : STONE.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~STONE~

IF ~RandomNum(3,1)
NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #23227 /* ~You still have your orbs!  I can sense it!  Cast them aside, faithless one, and witness the truth!  Believe!~ */
  IF ~~ THEN REPLY #23231 /* ~'The eye is blind'?~ */ GOTO 3
  IF ~~ THEN REPLY #23234 /* ~He said that you would know a secret way to reach the small cave at the back of the beholder's lair.  Can you help me find it?~ */ GOTO 7
END

IF ~RandomNum(3,2)
NumTimesTalkedTo(0)
~ THEN BEGIN 1 // from:
  SAY #23228 /* ~I... my eyes... the pain...~ */
  IF ~~ THEN REPLY #23232 /* ~What is this pit you stand by?~ */ GOTO 4
  IF ~~ THEN REPLY #23235 /* ~You want to enter the beholder's lair?  Well... you must go down the Pit of the Faithless.  Below is a secret pathway to the small cave in the lair.~ */ GOTO 7
END

IF ~RandomNum(3,3)
NumTimesTalkedTo(0)
~ THEN BEGIN 2 // from:
  SAY #23229 /* ~Yes, pilgrim?~ */
  IF ~~ THEN REPLY #23233 /* ~You... Sassar sent you?  Oh, thank the gods, I am relieved he is still alive!  I am Tad... what do you need me to do?~ */ GOTO 5
  IF ~~ THEN REPLY #23236 /* ~I don't know exactly where the passage is.  Be wary of the creatures who feed upon the bodies of the faithless that are thrown down there.~ */ GOTO 7
END

IF ~~ THEN BEGIN 3 // from: 0.0
  SAY #23230 /* ~Er... nothing, thank you.~ */
  IF ~~ THEN REPLY #23242 /* ~I see... I'll be on my way, then.~ */ GOTO 8
  IF ~~ THEN REPLY #23243 /* ~Move along, then.~ */ GOTO 8
  IF ~~ THEN REPLY #23244 /* ~I'm afraid I can do little else to help you with that, my <LADYLORD>.  I will pray for you to succeed.~ */ GOTO 8
  IF ~~ THEN REPLY #23245 /* ~There is calm here to steal, in the mistaken view that wealth accompanies peace of mind. The powerful come and go, and in their wake will follow the scavengers.~ */ GOTO 8
  IF ~~ THEN REPLY #23246 /* ~Are you sure this small cave in the lair will be safe?~ */ GOTO 6
  IF ~~ THEN REPLY #23247 /* ~Very well.  Thank you for the assistance, Tad.~ */ GOTO 8
  IF ~~ THEN REPLY #23248 /* ~And this place again? What is it?~ */ GOTO 8
  IF ~~ THEN REPLY #23250 /* ~There was a thief that may have come here. What happened to him?~ */ GOTO 8
END

IF ~~ THEN BEGIN 4 // from: 1.0
  SAY #23237 /* ~You want me... to go down there?  That is not much of a plan.~ */
  IF ~~ THEN REPLY #23251 /* ~How does someone become a Harper?~ */ GOTO 8
  IF ~~ THEN REPLY #23253 /* ~I will leave you alone now.~ */ GOTO 8
  IF ~~ THEN REPLY #23254 /* ~It should be safe, my <LADYLORD>... unless the Unseeing Eye is currently within.  He plans a great mass, soon, so if you hurry you should be safe...~ */ GOTO 8
  IF ~~ THEN REPLY #23255 /* ~It is said that Harpers come from birth, that they are merely acknowledged when they join. A taint in the mind that lacks sense perhaps, but the desire to make things right in the long term.~ */ GOTO 8
  IF ~~ THEN REPLY #23256 /* ~I... see.  And you want me to go down into that pit?  That's not much of a plan.~ */ GOTO 8
  IF ~~ THEN REPLY #23257 /* ~That's not very reassuring.  But thank you, anyway, Tad.~ */ GOTO 6
  IF ~~ THEN REPLY #23259 /* ~Patience and works of good that help the balance; these are their own reward, but in time they may foster recognition of the like-minded.~ */ GOTO 8
  IF ~~ THEN REPLY #23260 /* ~Good luck, my <LADYLORD>!~ */ GOTO 8
END

IF ~~ THEN BEGIN 5 // from: 2.0
  SAY #23238 /* ~Are you sure this small cave in the lair will be safe?~ */
  IF ~~ THEN REPLY #23262 /* ~It is the only way.  I do not know if Sassar has found any other way to combat the beholder... but I doubt it.  I wish you good luck, my friend.~ */ GOTO 8
  IF ~~ THEN REPLY #23263 /* ~Forget it... there's no way I'm going down there.~ */ GOTO 8
  IF ~~ THEN REPLY #23264 /* ~There is no membership to seek, there is only your own path to follow. Harpers seek out their own in time.~ */ GOTO 8
  IF ~~ THEN REPLY #23265 /* ~Forget it, I'm not going down there.~ */ GOTO 8
  IF ~~ THEN REPLY #23266 /* ~And this place again? What is it to the Harpers?~ */ GOTO 6
  IF ~~ THEN REPLY #23267 /* ~You are unique to Harper service. What manner of creatures are you?~ */ GOTO 8
  IF ~~ THEN REPLY #23268 /* ~There was a thief captured here not long ago. What would the Harpers have done with him?~ */ GOTO 8
  IF ~~ THEN REPLY #23269 /* ~What is there here that someone would want to steal?~ */ GOTO 8
END

IF ~~ THEN BEGIN 6 // from: 5.4 4.5 3.4
  SAY #23239 /* ~Very well.  Thank you for the assistance, Tad.~ */
  IF ~~ THEN REPLY #23249 /* ~What manner of creatures are you?~ */ GOTO 9
  IF ~~ THEN REPLY #23258 /* ~Forget it, I'm not going down there.~ */ GOTO 9
  IF ~~ THEN REPLY #23270 /* ~I am out of questions. I will leave you alone now.~ */ GOTO 9
  IF ~~ THEN REPLY #23271 /* ~A gnome came on the stage and began to perform some kind of magical act.~ */ GOTO 9
  IF ~~ THEN REPLY #23272 /* ~His magic fizzled and everyone started laughing!  I thought it was part of the act, so I laughed too!~ */ GOTO 9
  IF ~~ THEN REPLY #23273 /* ~Continue on thy path and if thee should find favor in Kalah's eyes then thou shalt surely be granted an audience.~ */ GOTO 9
  IF ~~ THEN REPLY #23274 /* ~And this place? What was it?~ */ GOTO 9
  IF ~~ THEN REPLY #23275 /* ~What manner of creature are you?~ */ GOTO 10
END

IF ~~ THEN BEGIN 7 // from: 2.1 1.1 0.1
  SAY #23240 /* ~It is the Pit of the Faithless, pilgrim.  The unworthy are thrown below to be consumed.  Maintain your faith and be strong for the Unseeing Eye.~ */
  IF ~~ THEN DO ~SetNumTimesTalkedTo(0)
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 5.7 5.6 5.5 5.3 5.2 5.1 5.0 4.7 4.6 4.4 4.3 4.2 4.1 4.0 3.7 3.6 3.5 3.3 3.2 3.1 3.0
  SAY #23241 /* ~Err...'the eye is blind'?~ */
  IF ~~ THEN DO ~SetNumTimesTalkedTo(0)
ForceSpell([PC],WIZARD_FIREBALL)
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 10.7 10.6 10.5 10.4 10.3 10.2 10.1 6.6 6.5 6.4 6.3 6.2 6.1 6.0
  SAY #23276 /* ~But what is there here that someone would want to steal?~ */
  IF ~~ THEN DO ~SetNumTimesTalkedTo(0)
~ EXIT
END

IF ~~ THEN BEGIN 10 // from: 6.7
  SAY #23277 /* ~How does someone become a Harper?~ */
  IF ~~ THEN REPLY #23280 /* ~Those who Harp are never truly alone.~ */ GOTO 12
  IF ~~ THEN REPLY #23281 /* ~You bear the mark of one and the same. Here you are welcome and may rest in safety.~ */ GOTO 9
  IF ~~ THEN REPLY #23282 /* ~Meat!  It isss meat I sssee!~ */ GOTO 9
  IF ~~ THEN REPLY #23283 /* ~No, brother!  You mussst resissst!~ */ GOTO 9
  IF ~~ THEN REPLY #23284 /* ~I... I cannot!  The meat callsss to me!~ */ GOTO 9
  IF ~~ THEN REPLY #23285 /* ~They are alive, brother!  Alive!  We mussst ssstrive to be ssscivilized!~ */ GOTO 9
  IF ~~ THEN REPLY #23286 /* ~Nnnooo!  The meat callsss!  It callsss!  HsssSSS!!~ */ GOTO 9
  IF ~~ THEN REPLY #23287 /* ~You bear the mark of one and the same. Here you are welcome and may rest in safety.~ */ GOTO 9
END

IF ~True()
~ THEN BEGIN 11 // from:
  SAY #23278 /* ~I will leave you alone to your musings.~ */
  IF ~~ THEN DO ~ForceSpell([PC],WIZARD_FIREBALL)
~ EXIT
END

IF ~~ THEN BEGIN 12 // from: 10.0
  SAY #23279 /* ~Solitary, but never alone. The songs of the past serve to shorten the years for the ears that dare listen, and bring memory back of the friends departed.~ */
  IF ~~ THEN DO ~SetGlobal("DurStatue","GLOBAL",1)
~ EXIT
END
